For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Notifications
      • GETNotification Count
      • GETUnread Notification Count
      • DELDelete All Notifications
      • POSTMark Notification Read
      • POSTRead All Notifications
      • DELDelete Notification
      • POSTMark Notification Unread
LogoLogo
SupportContact salesStart free trial
API ReferenceNotification

Notification Count

GET
https://api.projectmanager.com/api/data/notifications/count
GET
/api/data/notifications/count
$curl https://api.projectmanager.com/api/data/notifications/count \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "totalCount": 1
15 }
16}
Retrieve the total count of pending notifications for the current user. A notification represents a message sent to a user to inform them of relevant actions or events within their workspace. Notifications are ephemeral and may be deleted when they are no longer needed. When a user has more than 1,000 pending notifications some old notifications will be deleted automatically.
Was this page helpful?
Previous

Unread Notification Count

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Information about notifications for the current user. A notification represents a message sent to a user to inform them of relevant actions or events within their workspace. Notifications are ephemeral and may be deleted when they are no longer needed. When a user has more than 1,000 pending notifications some old notifications will be deleted automatically.